package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class CurrentDedicatedProcessorConfiguration {
    private Metadata metadata;
    private String currentMaximumProcessors;
    private String currentMinimumProcessors;
    private String currentProcessors;
    private String runProcessors;

    public CurrentDedicatedProcessorConfiguration() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getCurrentMaximumProcessors() {
        return currentMaximumProcessors;
    }

    public void setCurrentMaximumProcessors(String currentMaximumProcessors) {
        this.currentMaximumProcessors = currentMaximumProcessors;
    }

    public String getCurrentMinimumProcessors() {
        return currentMinimumProcessors;
    }

    public void setCurrentMinimumProcessors(String currentMinimumProcessors) {
        this.currentMinimumProcessors = currentMinimumProcessors;
    }

    public String getCurrentProcessors() {
        return currentProcessors;
    }

    public void setCurrentProcessors(String currentProcessors) {
        this.currentProcessors = currentProcessors;
    }

    public String getRunProcessors() {
        return runProcessors;
    }

    public void setRunProcessors(String runProcessors) {
        this.runProcessors = runProcessors;
    }
}
